#
# frontier-release :   RPM Spec file for package describing the
#       frontier yum repository
# Author: Dave Dykstra <dwd@fnal.gov>
# Creation Date: 18 December 2012
#

Summary: CERN Frontier yum repository configuration
Name: frontier-release
Version: 1.0
Release: 1
License: GPL
Group: System/Server

Source0: cern-frontier.repo
Source1: RPM-GPG-KEY-cern-frontier

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
This package contains the CERN Frontier repository configuration for yum.

%prep

%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -pm 644 %{SOURCE0} $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg
install -pm 644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%config(noreplace) /etc/yum.repos.d/*
/etc/pki/rpm-gpg/*

%changelog
* Wed Dec 19 2012 Dave Dykstra <dwd@fnal.gov> - 1.0-1
- Initial creation

